Bug 576761 - Review Request: perl-Config-Extend-MySQL - Extend your favorite .INI parser module to read MySQL configuration file
Summary: Review Request: perl-Config-Extend-MySQL - Extend your favorite .INI parser m...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Config-Ex...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-25 04:23 UTC by Iain Arnell
Modified: 2010-05-03 20:26 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-04-20 13:11:54 UTC
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-03-25 04:23:42 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Config-Extend-MySQL.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Config-Extend-MySQL-0.04-1.fc14.src.rpm

Description:
This module extends other Config:: modules so they can read MySQL
configuration files. It works by slurping and preprocessing the files
before letting your favorite Config:: module parse the result.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2074512

*rt-0.10_01

Comment 1 Chris Weyl 2010-03-26 03:02:15 UTC
Looks good!

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2074512

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
b40af4de911a596d9e941df8ee1cdb5a7ab36bea Config-Extend-MySQL-0.04.tar.gz
b40af4de911a596d9e941df8ee1cdb5a7ab36bea Config-Extend-MySQL-0.04.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Config-Extend-MySQL-0.04-1.fc14.noarch.rpm <=====
====> rpmlint
perl-Config-Extend-MySQL.noarch: W: spelling-error %description -l en_US preprocessing -> reprocessing, p reprocessing, teleprocessing
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides for perl-Config-Extend-MySQL-0.04-1.fc14.noarch.rpm
perl(Config::Extend::MySQL) = 0.04
perl-Config-Extend-MySQL = 0.04-1.fc14
====> requires for perl-Config-Extend-MySQL-0.04-1.fc14.noarch.rpm
perl >= 0:5.006
perl(Carp)  
perl(Config::Tiny)  
perl(File::Basename)  
perl(File::Read)  
perl(File::Spec::Functions)  
perl(:MODULE_COMPAT_5.10.1)  
perl(strict)  
perl(UNIVERSAL::require)  
perl(warnings)  

=====> perl-Config-Extend-MySQL-0.04-1.fc14.src.rpm <=====
====> rpmlint
perl-Config-Extend-MySQL.src: W: spelling-error %description -l en_US preprocessing -> reprocessing, p reprocessing, teleprocessing
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides for perl-Config-Extend-MySQL-0.04-1.fc14.src.rpm
====> requires for perl-Config-Extend-MySQL-0.04-1.fc14.src.rpm
perl >= 0:5.006
perl(Config::Tiny)  
perl(File::Read)  
perl(Module::Build)  
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  
perl(UNIVERSAL::require)  

APPROVED

Comment 2 Iain Arnell 2010-03-26 03:56:11 UTC
New Package CVS Request
=======================
Package Name: perl-Config-Extend-MySQL
Short Description: Extend your favorite .INI parser module to read MySQL configuration file
Owners: iarnell
Branches: perl-sig
InitialCC: F-13 F-12 F-11 EL-5

Comment 3 Kevin Fenzi 2010-03-30 21:51:50 UTC
cvs done, I think. 

I had to manually fix this after the script we used got confused by your InitialCC and Branches. ;) 

Please make sure if you are using a script to request these that it doesn't do this anymore. ;)

Comment 4 Iain Arnell 2010-03-31 03:19:33 UTC
Sorry 'bout that. The F-* branches are fine, but I'm missing the EL-5 branch:

Package Change Request
======================
Package Name: perl-Config-Extend-MySQL
New Branches: EL-5
Owners: iarnell
InitialCC: perl-sig

Comment 5 Fedora Update System 2010-04-03 04:23:01 UTC
perl-Config-Extend-MySQL-0.04-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Config-Extend-MySQL-0.04-1.fc12

Comment 6 Fedora Update System 2010-04-03 04:23:05 UTC
perl-Config-Extend-MySQL-0.04-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Config-Extend-MySQL-0.04-1.fc11

Comment 7 Fedora Update System 2010-04-03 04:23:10 UTC
perl-Config-Extend-MySQL-0.04-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Config-Extend-MySQL-0.04-1.fc13

Comment 8 Kevin Fenzi 2010-04-03 17:42:11 UTC
cvs done.

Comment 9 Fedora Update System 2010-04-06 19:55:18 UTC
perl-Config-Extend-MySQL-0.04-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Config-Extend-MySQL'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Config-Extend-MySQL-0.04-1.fc13

Comment 10 Fedora Update System 2010-04-09 01:41:25 UTC
perl-Config-Extend-MySQL-0.04-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Config-Extend-MySQL'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Config-Extend-MySQL-0.04-1.fc12

Comment 11 Fedora Update System 2010-04-09 01:45:50 UTC
perl-Config-Extend-MySQL-0.04-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Config-Extend-MySQL'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Config-Extend-MySQL-0.04-1.fc11

Comment 12 Fedora Update System 2010-04-11 05:21:08 UTC
perl-Config-Extend-MySQL-0.04-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Config-Extend-MySQL-0.04-1.el5

Comment 13 Fedora Update System 2010-04-15 15:48:11 UTC
perl-Config-Extend-MySQL-0.04-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Config-Extend-MySQL'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Config-Extend-MySQL-0.04-1.el5

Comment 14 Fedora Update System 2010-04-20 13:11:49 UTC
perl-Config-Extend-MySQL-0.04-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-04-20 13:22:02 UTC
perl-Config-Extend-MySQL-0.04-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-04-20 13:27:59 UTC
perl-Config-Extend-MySQL-0.04-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-05-03 20:26:19 UTC
perl-Config-Extend-MySQL-0.04-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.